| Classes - Annotated - Tree - Functions - Home - Structure

# QGLayoutIterator Class Reference

The abstract base class of internal layout iterators. More...

`#include <qabstractlayout.h>`

Inherits QShared.

List of all member functions.

## Public Members

- virtual ~QGLayoutIterator ()
- virtual QLayoutItem* next ()
- virtual QLayoutItem* current ()
- virtual QLayoutItem* takeCurrent ()

## Detailed Description

The abstract base class of internal layout iterators.

To be subclassed by custom layout implementors. The functions that need to be implemented are next(), current() and takeCurrent().

The QGLayoutIterator implements the functionality of QLayoutIterator. Each subclass of QLayout needs a QGLayoutIterator subclass.

## Member Function Documentation

### QGLayoutIterator::~QGLayoutIterator () `[virtual]`

Destroys the iterator.

### QLayoutItem * QGLayoutIterator::current () `[virtual]`

Implemented in subclasses to return the current item, or 0 if there is no current item.

### QLayoutItem * QGLayoutIterator::next () `[virtual]`

Implemented in subclasses to move the iterator to the next item and return that item, or 0 if there is no next item.

### QLayoutItem * QGLayoutIterator::takeCurrent () `[virtual]`

Implemented in subclasses to remove the current item from the layout without deleting it, move the iterator to the next item and return the removed item, or 0 if no item was removed.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.